export default {
  editContent(store, data) {
    store.commit("editContent", data);
    store.commit("setCurrentlyEditableContent", null);
    store.commit("setIframeSrc", null);
    store.commit("setContentTypesOverlayVisibility", false);
  },
  showContentTypesOverlay(store, data) {
    store.commit("setCurrentlyEditableContent", data);
    store.commit("setContentTypesOverlayVisibility", true);
  },
  closeElementsOverlay(store) {
    store.commit("setCurrentlyEditableContent", null);
    store.commit("setContentTypesOverlayVisibility", false);
  },
  showIframe(store, data) {
    store.commit("setCurrentlyEditableContent", data);
    store.commit(
      "setIframeSrc",
      store.state.elements[
        store.state.sections[data.indexSection].content[data.slotId][
          data.indexSectionBlock
        ]
      ].editUrl
    );
  }
};
